DECC-git NEED
============

Extract & analyse data from the public versions of DECC's  NEED dataset

Original 'End User License' version of the data available from: UK DATA ARCHIVE: Study Number 7518 - National Energy Efficiency Data-Framework, 2014
http://discover.ukdataservice.ac.uk/catalogue/?sn=7518

For full detailed documentation see https://www.gov.uk/government/uploads/system/uploads/attachment_data/file/332169/need_anonymised_dataset_accompanying_documentation.pdf

Notes (mostly to self):
* gas kwh are weather corrected on distribution zones before delivery to DECC
* This dataset is a sample of just over 4 million households which have had an Energy Performance Certificate from the full NEED 'all dwellings' dataset
* It is a semi-random sample of the 8m records with an EPC, it includes only those with valid values on all variables and (especially) valid observations for electricity in 2012. Uncommon property types are over-represented, common types are under-represented and the weight corrects for this
* Sample bias is unclear - which kinds of dwellings have an EPC (e.g. flats where frequent churn may be over-represented?)
* UPRN = unique property reference = linkage mechanism (uses AddressBase)

Issues:
* <fuel>cons<year>valid variable has undefined labels: G, L, M = ?  
** 0 = off gas/elec ? 
** V = valid reading (gas range 0 - 50,000; elec range = 100 - 25,000)
** L = large (> 50k or 25k depending?)
** M = missing? But G?
* ideally DECC should set missing to -99 to aid re-coding and avoid unpleasant surprises in naive analysis!

